Bug 1901958 - Add perf_event class to selinux-policy
Summary: Add perf_event class to selinux-policy
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: selinux-policy
Version: 8.4
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: 8.4
Assignee: Zdenek Pytela
QA Contact: Milos Malik
URL:
Whiteboard:
Depends On: 1901957
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-26 13:33 UTC by Zdenek Pytela
Modified: 2021-05-18 14:58 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: The perf_event class was added to selinux-policy. The permissions are allowed only to domains which need it, e. g. for the purposes of attaching BPF programs to tracepoints, perf profiling and other operations from userspace. These operations are intended for production systems. Reason: Softer grained control to the perf_event related system resources. Result: Now SELinux checks apply for domains instead of checking the system-wide kernel.perf_event_paranoid sysctl tunable.
Clone Of: 1901957
Environment:
Last Closed: 2021-05-18 14:58:20 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1873270 1 None None None 2021-05-18 14:47:43 UTC

Internal Links: 1941810

Description Zdenek Pytela 2020-11-26 13:33:53 UTC
+++ This bug was initially created as a clone of Bug #1901957 +++

Add perf_event class to selinux-policy and update policy rules for domains requiring this access.

Comment 4 Zdenek Pytela 2020-12-09 18:05:22 UTC
There is a Fedora PR to add the new class:
https://github.com/fedora-selinux/selinux-policy/pull/489

Comment 17 errata-xmlrpc 2021-05-18 14:58:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (selinux-policy bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:1639


Note You need to log in before you can comment on or make changes to this bug.